## htpdate 1.1.0

=== Makefile ===
prefix = $(DESTDIR)/usr
bindir = ${prefix}/bin
mandir = ${prefix}/share/man

CC = gcc
CFLAGS += -Wall -O2
#CFLAGS += -Wall -pedantic -ansi -O2

INSTALL = /usr/bin/install -c
STRIP = /usr/bin/strip -s

all: htpdate

htpdate: htpdate.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o htpdate htpdate.c

install: all
	$(STRIP) htpdate
	mkdir -p $(bindir)
	$(INSTALL) -m 755 htpdate $(bindir)/htpdate
	mkdir -p $(mandir)/man8
	$(INSTALL) -m 644 htpdate.8 $(mandir)/man8/htpdate.8
	gzip -f -9 $(mandir)/man8/htpdate.8

clean:
	rm -rf htpdate

uninstall:
	rm -rf $(bindir)/htpdate
	rm -rf $(mandir)/man8/htpdate.8.gz

=== debian/changelog ===
htpdate (1.1.0-2) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Aug 2014 13:33:58 -0300

htpdate (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #737045)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 05 Feb 2014 07:46:23 -0200

=== debian/control ===
Source: htpdate
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.vervest.org/fiki/bin/view/HTP/WebHome
Vcs-Git: git://anonscm.debian.org/collab-maint/htpdate.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/htpdate.git

Package: htpdate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP based time synchronization tool
 The  HTTP Time Protocol (HTP) is used to synchronize a computer's time with
 web servers as reference time source. This program can be used instead
 ntpdate or similar, in networks that has a firewall blocking the NTP port.
 .
 Htpdate will synchronize the computer time to Greenwich Mean Time (GMT),
 using the timestamps from HTTP headers found in web servers response (the
 HEAD method will be used to get the information).
 .
 Htpdate works through proxy servers. Accuracy of htpdate will be usually
 within 0.5 seconds (better with multiple servers).

=== debian/watch ===
version=3
http://www.vervest.org/htp/archive/c/htpdate-(\d\S+)\.tar\.(?:bz2|gz|xz)

## htpdate 1.1.1

=== debian/changelog ===
htpdate (1.1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright:
      - Dropping dot-zero from GPL license short name.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 15:10:48 -0300

htpdate (1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * New upstream homepage.
  * Bumped Standards-Version to 3.9.6.
  * Moved the binary from usr/bin to usr/sbin.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the
        issues pointed by blhc.
      - Removed 'parallel' processing to avoid errors when compiling.
  * debian/watch: added a second way to track new releases.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Nov 2014 10:04:09 -0200

## htpdate 1.1.2

=== debian/changelog ===
htpdate (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: updated the upstream copyright years.
  * debian/gbp.conf: not used by me... Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 11 Oct 2015 09:21:29 -0300

## htpdate 1.1.3

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 mandir = ${prefix}/share/man
 
 CC = gcc
-CFLAGS += -Wall -O2
-#CFLAGS += -Wall -pedantic -ansi -O2
+CFLAGS += -Wall -std=c99 -pedantic -O2
 
 INSTALL = /usr/bin/install -c
 STRIP = /usr/bin/strip -s

=== debian/changelog ===
htpdate (1.1.3-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Added lsb-base to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/patches/:
      - Makefile: renamed to 10_fix-executable-path.patch.
      - debian/patches/20_fix-spellings-manpage.patch: created to fix
        some spelling errors in manpage.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 21:51:13 -0200

htpdate (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 09 Jan 2016 16:58:26 -0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://www.vervest.org/fiki/bin/view/HTP/WebHome
-Vcs-Git: git://anonscm.debian.org/collab-maint/htpdate.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/htpdate.git
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Homepage: http://www.vervest.org/htp
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/htpdate.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/htpdate.git
 
 Package: htpdate
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Description: HTTP based time synchronization tool
  The  HTTP Time Protocol (HTP) is used to synchronize a computer's time with
  web servers as reference time source. This program can be used instead

=== debian/watch ===
version=4
http://www.vervest.org/htp/archive/c/htpdate-(\d\S+)\.tar\.(?:bz2|gz|xz)

## htpdate 1.2.0

=== debian/changelog ===
htpdate (1.2.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jul 2019 11:55:01 -0300

htpdate (1.2.0-4) experimental; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.3.0.
      - Added Pre-Depends field.
  * debian/rules: fixed a FTCBFS. Don't strip during dh_auto_install
    to avoid a wrong strip. Thanks to Helmut Grohne <helmut@subdivi.de>.
    (Closes: #929238)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 May 2019 11:42:36 -0300

htpdate (1.2.0-3) unstable; urgency=medium

  * debian/default: improved the grammar.
  * debian/service:
      - Added some security features.
      - Using /run instead of /var/run in PIDFile variable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Nov 2018 10:28:19 -0200

htpdate (1.2.0-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 11.
  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/copyright:
      - Added rights for Ondřej Nový.
      - Updated packaging copyright years.
  * debian/default: added a notice about systemd.
  * debian/ifup/htpdate: added a new restart mode using systemd.
  * debian/service: added to provide a systemd service.
  * debian/tests/control: created to perform a trivial test.

  [ Ondřej Nový ]
  * debian/control: Set Vcs-* to salsa.debian.org.
  * debian/copyright: Use https protocol in Format field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Nov 2018 15:34:00 -0300

htpdate (1.2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #876687)
  * debian/control: bumped Standards-Version to 4.1.1.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Oct 2017 10:28:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: http://www.vervest.org/htp
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/htpdate.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/htpdate.git
+Vcs-Git: https://salsa.debian.org/debian/htpdate.git
+Vcs-Browser: https://salsa.debian.org/debian/htpdate
 
 Package: htpdate
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Description: HTTP based time synchronization tool
  The  HTTP Time Protocol (HTP) is used to synchronize a computer's time with

## htpdate 1.2.1

=== debian/changelog ===
htpdate (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/copyright: updated packaging and upstream years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Jul 2019 19:48:23 -0300

## htpdate 1.2.2

=== debian/changelog ===
htpdate (1.2.2-3) unstable; urgency=medium

  * New maintainer. Thanks to Joao Eriberto Mota Filho,
    the last maintainer. (Closes: #951183)
  * debian/copyright: added packaging rights for me.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Thu, 20 Feb 2020 15:33:48 -0300

htpdate (1.2.2-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #951183)
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Feb 2020 20:17:49 -0300

htpdate (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Aug 2019 22:23:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: htpdate
 Section: net
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.vervest.org/htp
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git
 Vcs-Browser: https://salsa.debian.org/debian/htpdate

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Avoid a wrong strip. See #929238.
override_dh_auto_install:
	dh_auto_install -- STRIP=true

=== debian/tests/control ===
Test-Command: htpdate -qd debian.org
Restrictions: needs-root

## htpdate 1.2.6+git20210903.a3c428a

=== Makefile ===
--- 
+++ 
@@ -2,19 +2,23 @@
 bindir = ${prefix}/bin
 mandir = ${prefix}/share/man
 
-CC = gcc
+CC ?= gcc
 CFLAGS += -Wall -std=c99 -pedantic -O2
+PKG_CONFIG ?= pkg-config
 
-INSTALL = /usr/bin/install -c
-STRIP = /usr/bin/strip -s
+ifdef ENABLE_HTTPS
+CFLAGS += -DENABLE_HTTPS
+LDLIBS = $(shell $(PKG_CONFIG) --libs openssl)
+endif
+
+INSTALL = install -c
 
 all: htpdate
 
 htpdate: htpdate.c
-	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o htpdate htpdate.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o htpdate htpdate.c $(LDLIBS)
 
 install: all
-	$(STRIP) htpdate
 	mkdir -p $(bindir)
 	$(INSTALL) -m 755 htpdate $(bindir)/htpdate
 	mkdir -p $(mandir)/man8

=== debian/changelog ===
htpdate (1.2.6+git20210903.a3c428a-2) unstable; urgency=medium

  * debian/watch: fixed a typo.

 -- Thiago Andrade Marques <andrade@debian.org>  Fri, 17 Sep 2021 23:48:49 -0300

htpdate (1.2.6+git20210903.a3c428a-1) unstable; urgency=medium

  * New upstream version 1.2.6+git20210903.a3c428a.
    (Closes: #992056, LP: #1941599)
  * debian/control:
      - Bumped Standards-Version to 4.6.0.
      - Updated upstream homepage.
  * debian/copyright:
      - Added new upstream entry.
      - Added Upstream-Contact field.
      - Updated packaging copyright years.
      - Updated Source field.
  * debian/upstream/metadata: full updated.
  * debian/watch: updated for the new forked project on GitHub.

 -- Thiago Andrade Marques <andrade@debian.org>  Wed, 15 Sep 2021 15:58:36 -0300

htpdate (1.2.2-4) unstable; urgency=medium

  * debian/control:
      - Bumped "debhelper-compat" from 12 to 13.
      - Updated my email.
  * debian/copyright: updated my email.
  * debian/upstream/metadata: created.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Sun, 26 Jul 2020 18:06:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: htpdate
 Section: net
 Priority: optional
-Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://www.vervest.org/htp
+Homepage: https://github.com/angeloc/htpdate
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git
 Vcs-Browser: https://salsa.debian.org/debian/htpdate

=== debian/watch ===
version=4
#Forked project because original project is unmaintained.
https://github.com/angeloc/htpdate/releases .*/archive/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

#Old search rule from Eddy Verest.
#http://www.vervest.org/htp/archive/c/htpdate-@ANY_VERSION@@ARCHIVE_EXT@

## htpdate 1.3.3

=== Makefile ===
prefix = $(DESTDIR)/usr
bindir = ${prefix}/sbin
mandir = ${prefix}/share/man

CC     ?= gcc
CFLAGS += -Wall -std=c11 -pedantic -O2

INSTALL ?= install -c
STRIP   ?= strip -s

all: htpdate

htpdate: htpdate.c
	$(CC) $(CFLAGS) -o htpdate htpdate.c

https: htpdate.c
	$(CC) $(CFLAGS) -DENABLE_HTTPS -o htpdate htpdate.c -lssl

install: all
	$(STRIP) htpdate
	mkdir -p $(bindir)
	$(INSTALL) -m 755 htpdate $(bindir)/htpdate
	mkdir -p $(mandir)/man8
	$(INSTALL) -m 644 htpdate.8 $(mandir)/man8/htpdate.8
	gzip -f -9 $(mandir)/man8/htpdate.8

test:
	./htpdate -v
	./htpdate -p 1 www.example.com http://www.example.com https://example.com
	./htpdate -p 1 -d www.example.com www.example.com:80/htpdate.html
	./htpdate -p 2 -04q www.example.com/
	./htpdate -6q www.example.com
	./htpdate -t -dd www.example.com
	./htpdate -p1 https://93.184.216.34 https://93.184.216.34:443
	./htpdate -p1 93.184.216.34:80
	./htpdate -p1 [2606:2800:220:1:248:1893:25c8:1946]
	./htpdate -h

clean:
	rm -rf htpdate

uninstall:
	rm -rf $(bindir)/htpdate
	rm -rf $(mandir)/man8/htpdate.8.gz

=== debian/changelog ===
htpdate (1.3.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 15 Mar 2022 08:19:26 -0300

htpdate (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.
  * debian/control:
      - Bumped Standards-Version to 4.6.0.1.
      - Updated upstream homepage.
  * debian/copyright:
      - Updated packaging copyright years.
      - Updated Source field.
      - Updated Upstream-Contact field.
      - Updated upstream copyright years.
  * debian/default: updated HTP_SERVERS argument. (LP: #1950032)
  * debian/patches/10_fix-executable-path.patch: removed, no longer needed.
  * debian/patches/20_fix-spellings-manpage.patch: removed, no longer needed.
  * debian/patches/001-Added-Hardening-Makefile.patch: added to provide
    hardening.
    debian/rules: added override_dh_auto_test because upstream tests needs
    network to run.
  * debian/upstream/metadata: full updated.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Sat, 12 Mar 2022 00:11:20 -0300

## htpdate 1.3.4

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 bindir = ${prefix}/sbin
 mandir = ${prefix}/share/man
 
-CC     ?= gcc
-CFLAGS += -Wall -std=c11 -pedantic -O2
+CC       ?= gcc
+CFLAGS   += -Wall -std=c11 -pedantic -O2
+SSL_LIBS ?= -lssl
 
 INSTALL ?= install -c
 STRIP   ?= strip -s
@@ -14,7 +15,7 @@
 	$(CC) $(CFLAGS) -o htpdate htpdate.c
 
 https: htpdate.c
-	$(CC) $(CFLAGS) -DENABLE_HTTPS -o htpdate htpdate.c -lssl
+	$(CC) $(CFLAGS) -DENABLE_HTTPS -o htpdate htpdate.c $(SSL_LIBS)
 
 install: all
 	$(STRIP) htpdate

=== debian/changelog ===
htpdate (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * debian/patches/001-Added-Hardening-Makefile.patch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 26 Apr 2022 14:12:45 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
-Homepage: https://github.com/angeloc/htpdate
+Homepage: https://github.com/twekkel/htpdate
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git
 Vcs-Browser: https://salsa.debian.org/debian/htpdate

## htpdate 1.3.5

=== debian/changelog ===
htpdate (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/patches: updated 001-Added-Hardening-Makefile.patch to
    0001-Hardening-Makefile.patch.

 -- Thiago Andrade Marques <andrade@debian.org>  Fri, 29 Jul 2022 10:27:42 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/twekkel/htpdate
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git

## htpdate 1.3.6

=== debian/changelog ===
htpdate (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 02 Jan 2023 09:04:09 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/twekkel/htpdate
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git

## htpdate 1.3.7

=== debian/changelog ===
htpdate (1.3.7-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:33 +1100

htpdate (1.3.7-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:12:36 +0000

htpdate (1.3.7-2) unstable; urgency=medium

  * debian/control: added libssl-dev to Build-Depends field.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/0002-Build-https-enabled-variant.patch: created to enable
    https. Thanks to Ross Vandegrift <rvandegrift@debian.org>.
  * debian/tests/control: fixed one and added a new test for https.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 05 Oct 2023 13:52:38 -0300

htpdate (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7. (LP: #1850740)
  * debian/control: removed lsb-base from Depends field.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 06 Feb 2023 15:10:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: htpdate
 Section: net
 Priority: optional
-Maintainer: Thiago Andrade Marques <andrade@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13), libssl-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/twekkel/htpdate
@@ -12,7 +13,7 @@
 Package: htpdate
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: HTTP based time synchronization tool
  The  HTTP Time Protocol (HTP) is used to synchronize a computer's time with
  web servers as reference time source. This program can be used instead

=== debian/tests/control ===
Test-Command: htpdate -qd www.debian.org
Restrictions: needs-root

Test-Command: htpdate -qd https://www.debian.org
Restrictions: needs-root

## htpdate 2.0.0

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,10 @@
 all: htpdate
 
 htpdate: htpdate.c
-	$(CC) $(CFLAGS) -o htpdate htpdate.c
+	$(CC) $(CFLAGS) $(LDFLAGS) -o htpdate htpdate.c
 
 https: htpdate.c
-	$(CC) $(CFLAGS) -DENABLE_HTTPS -o htpdate htpdate.c $(SSL_LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -DENABLE_HTTPS -o htpdate htpdate.c $(SSL_LIBS)
 
 install: all
 	$(STRIP) htpdate

=== debian/changelog ===
htpdate (2.0.0-4) unstable; urgency=medium

  * debian/patches/0002-Build-https-enabled-variant.patch: updated. (Closes:
    #1065147) Thanks to Helmut Grohne.
  * debian/watch: fixed a syntax error in version 5.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 10 Nov 2025 23:54:04 -0300

htpdate (2.0.0-3) unstable; urgency=medium

  * debian/control: removed Rules-Requires-Root field.
  * debian/watch: bumped version to 5.
  * tests/control: added needs-internet to the tests. (Closes: #1118376)

 -- Thiago Andrade Marques <andrade@debian.org>  Sun, 09 Nov 2025 23:08:51 -0300

htpdate (2.0.0-2) unstable; urgency=medium

  * tests/control: allowing output to standard error.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 25 Aug 2025 22:53:21 -0300

htpdate (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0. (Closes: #1106885)
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Thiago Andrade Marques <andrade@debian.org>  Tue, 19 Aug 2025 12:34:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: htpdate
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/twekkel/htpdate
 Vcs-Git: https://salsa.debian.org/debian/htpdate.git
 Vcs-Browser: https://salsa.debian.org/debian/htpdate

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,9 @@
 # Avoid a wrong strip. See #929238.
 override_dh_auto_install:
 	dh_auto_install -- STRIP=true
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	./htpdate -v
+	./htpdate -h
+endif

=== debian/tests/control ===
Test-Command: htpdate -qd www.debian.org
Restrictions: needs-root allow-stderr needs-internet

Test-Command: htpdate -qd https://www.debian.org
Restrictions: needs-root allow-stderr needs-internet

=== debian/watch ===
Version: 5

Source: https://www.vervest.org/htp/archive/c/
Matching-Pattern: htpdate-@ANY_VERSION@@ARCHIVE_EXT@
